> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/v13.0.0/classes/checkpoints.md).

# Checkpoints

Handles all Security Token Checkpoints related functionality

## Hierarchy

* Namespace‹[SecurityToken](/polymesh-sdk-api-reference/v13.0.0/classes/securitytoken.md)›

  ↳ **Checkpoints**

## Index

### Properties

* [context](#protected-context)
* [parent](#protected-parent)
* [schedules](#schedules)

### Methods

* [create](#create)
* [get](#get)
* [getOne](#getone)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/v13.0.0/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/Namespace.ts#L11)

***

### `Protected` parent

• **parent**: [*SecurityToken*](/polymesh-sdk-api-reference/v13.0.0/classes/securitytoken.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/Namespace.ts#L9)

***

### schedules

• **schedules**: [*Schedules*](/polymesh-sdk-api-reference/v13.0.0/classes/schedules.md)

*Defined in* [*src/api/entities/SecurityToken/Checkpoints/index.ts:36*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/SecurityToken/Checkpoints/index.ts#L36)

## Methods

### create

▸ **create**(`args`: void, `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v13.0.0/classes/transactionqueue.md)*‹*[*Checkpoint*](/polymesh-sdk-api-reference/v13.0.0/classes/checkpoint.md)*››*

*Defined in* [*src/api/entities/SecurityToken/Checkpoints/index.ts:60*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/SecurityToken/Checkpoints/index.ts#L60)

Create a snapshot of Security Token holders and their respective balances at this moment

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/proceduremethod.md), which means you can call `create.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                            |
| ------- | --------------------------------------------------------------------------------------------------------------- |
| `args`  | void                                                                                                            |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v13.0.0/classes/transactionqueue.md)*‹*[*Checkpoint*](/polymesh-sdk-api-reference/v13.0.0/classes/checkpoint.md)*››*

***

### get

▸ **get**(`paginationOpts?`: [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/paginationoptions.md)): *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/resultset.md)*‹*[*CheckpointWithData*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/checkpointwithdata.md)*››*

*Defined in* [*src/api/entities/SecurityToken/Checkpoints/index.ts:94*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/SecurityToken/Checkpoints/index.ts#L94)

Retrieve all Checkpoints created on this Security Token, together with their corresponding creation Date and Total Supply

**`note`** supports pagination

**Parameters:**

| Name              | Type                                                                                                                    |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `paginationOpts?` | [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/paginationoptions.md) |

**Returns:** *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/resultset.md)*‹*[*CheckpointWithData*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/checkpointwithdata.md)*››*

***

### getOne

▸ **getOne**(`args`: object): *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/v13.0.0/classes/checkpoint.md)*›*

*Defined in* [*src/api/entities/SecurityToken/Checkpoints/index.ts:69*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/SecurityToken/Checkpoints/index.ts#L69)

Retrieve a single Checkpoint for this Security Token by its ID

**`throws`** if there is no Checkpoint with the passed ID

**Parameters:**

▪ **args**: *object*

| Name | Type      |
| ---- | --------- |
| `id` | BigNumber |

**Returns:** *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/v13.0.0/classes/checkpoint.md)*›*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/v13.0.0/classes/checkpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
